Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.servlet.upload
Class DataBaseDigester

    java.lang.Object
      com.ejie.r01f.servlet.upload.DataBaseDigester

All Implemented Interfaces:
  PartDigester

public class DataBaseDigester
extends java.lang.Object
implements PartDigester

Digester de parts de una request multipart que guarda los part tipo fichero en una columna lob de base de datos. El directorio en el que se guardan los ficheros se establece en el fichero properties en una sección como: 1024 com.ejie.r01f.servlet.DataBaseDigester r01DataBase

TEST

oid lob -- Cualquier configuración que haga falta --

Constructor Summary
`DataBaseDigester()` Constructor for SaveToFileDigester.

Method Summary
`void` | `digestFilePart(FilePart filePart)` Establece un part tipo fichero
`void` | `digestParamPart(ParamPart paramPart)` Establece un part tipo parametro
`java.lang.String` | `getTargetPage()` Devuelve la pagina de salida después de todo el tratamiento
`void` | `setConfig(java.util.Properties props)` Establece valores de configuración del partDigester (hay una propiedad especial "appCode" que indica el código de aplicación)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataBaseDigester

    public DataBaseDigester()

  Constructor for SaveToFileDigester.

Method Detail

### setConfig

    public void setConfig(java.util.Properties props)

  Establece valores de configuración del partDigester (hay una propiedad especial "appCode" que indica el código de aplicación)

  Specified by:
    `setConfig` in interface `PartDigester`
  Parameters:
    `props` - Un mapa con la configuracion

### digestParamPart

    public void digestParamPart(ParamPart paramPart)

  Establece un part tipo parametro

  Specified by:
    `digestParamPart` in interface `PartDigester`
  Parameters:
    `paramPart` - Un part tipo parametro normal..
  Throws:
    `PartDigesterException` - si hay algún error durante la digestión
  See Also:
    `com.ejie.r01f.servlet.PartDigester#digestParamPart(ParamPart)`

### digestFilePart

    public void digestFilePart(FilePart filePart)
                        throws PartDigesterException

  Establece un part tipo fichero

  Specified by:
    `digestFilePart` in interface `PartDigester`
  Parameters:
    `filePart` - Un part tipo fichero
  Throws:
    `PartDigesterException` - si hay algún error durante la digestión
  See Also:
    `PartDigester.digestFilePart(FilePart)`

### getTargetPage

    public java.lang.String getTargetPage()

  Description copied from interface: `PartDigester`
  Devuelve la pagina de salida después de todo el tratamiento

  Specified by:
    `getTargetPage` in interface `PartDigester`
  Returns:
    la pagina
  See Also:
    `PartDigester.getTargetPage()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD